Namespace
martialblog
Image / Tag
limesurvey:3.4.1_180221-fpm
Content Digest
sha256:c5ff8a8824104d0fbea0eee9b1eb8763fb6070886218d295c56d18166b533788
Details
Created

2018-02-23 16:20:42 UTC

Size

275 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.2.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

47d7607d38a1d565fc43ea942c92229a7cd165f156737f210937e375b243cb11

PHP_URL

https://secure.php.net/get/php-7.2.2.tar.xz/from/this/mirror

PHP_VERSION

7.2.2


Layers

[#000] sha256:8176e34d5d92775e15a602541e02fec25a22933a12561c114436b757b8e7a9e8 - 7.79% (21.5 MB)

[#001] sha256:f6c81892adaac77fb6d85adc5e7a9f3868a2b286eccd35f348d714c88e39b3c6 - 0.0% (224 Bytes)

[#002] sha256:c8125c73b8689defc0331e37c90cb74786c158e6ab6f1e03b5039b7edc639d73 - 23.35% (64.3 MB)

[#003] sha256:5ef22f6299b6ad76855ef8b4a1659fb00011fea3764fd5e5d5b53351380aaf8b - 0.0% (183 Bytes)

[#004] sha256:05a89a01182ec5ab5d4b5c80643b4398480973e15cc704e1e0e95602890506ab - 4.28% (11.8 MB)

[#005] sha256:95ee4807888af1080d02e7d0257176452408e34a3f08a1240a3661131193e9e4 - 0.0% (499 Bytes)

[#006] sha256:a913ac2a0ea7d3a065d2866acffefe7022ea05769d7b46213b2984dbc11dafec - 9.92% (27.3 MB)

[#007] sha256:0961e1312269f69c311b5975e77dd47abdb35db1a288465c2059c50762ddfcf3 - 0.0% (2.13 KB)

[#008] sha256:397a8654d77179c9bcb7520840470685c2ced2d4c49d27f9466b85a932524f49 - 0.0% (130 Bytes)

[#009] sha256:622bca0346b699bba9145ab7081628812134a08bf9b1907624e389f635c5f40b - 0.0% (7.53 KB)

[#010] sha256:574c57b9456c96f5a12c7952e3f27123a6781ef4e4ac1b41cb57dfd5305ce0d6 - 1.62% (4.47 MB)

[#011] sha256:d84a8a02908c362ffa7b3933844ba424d1ceeff65e593afa5c80460fbe865537 - 0.0% (164 Bytes)

[#012] sha256:75eeb87af1ad37dc6a8273c0bffed65bd95a7c8a5c61813e09b81fbd422572ba - 6.66% (18.3 MB)

[#013] sha256:440b177dd3ba6a8ac4da52123e50be1cf3e22a180d2fb951bb08ac3e6d60952f - 0.44% (1.22 MB)

[#014] sha256:9910535e68ef54138b6b5b27d2caf0a8870e1a10ee08b04bd3275f037ef628f2 - 22.82% (62.8 MB)

[#015] sha256:357399750164a05512e599906aac628f35167a70747a4e3a1eac134cbfaacbdd - 23.1% (63.6 MB)


History
2018-02-15 02:01:56 UTC

/bin/sh -c #(nop) ADD file:27ffb1ef53bfa3b9f26c0ad9d788ae2340b46470f958f451ddd80e122d94d100 in /

2018-02-15 02:01:56 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-02-16 22:52:25 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-02-16 22:52:25 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-02-16 22:52:48 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-02-16 22:52:49 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-02-16 22:52:50 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-02-16 23:30:11 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-02-16 23:30:11 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-02-16 23:30:11 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-02-16 23:30:12 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-02-16 23:30:12 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-02-16 23:30:12 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.2

2018-02-16 23:30:12 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.2.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.2.tar.xz.asc/from/this/mirror

2018-02-16 23:30:13 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=47d7607d38a1d565fc43ea942c92229a7cd165f156737f210937e375b243cb11 PHP_MD5=

2018-02-16 23:33:14 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-02-16 23:33:25 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-02-16 23:38:10 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libargon2-0-dev libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --disable-cgi --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-02-16 23:39:45 UTC

/bin/sh -c #(nop) COPY multi:f9544e5c6b9d1d1292fca43464fe1e77b631547ac2baa8503de318853c0536d0 in /usr/local/bin/

2018-02-16 23:39:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-02-16 23:39:46 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-02-16 23:39:46 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-02-16 23:39:47 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-02-16 23:39:47 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-02-23 16:12:14 UTC

/bin/sh -c #(nop) LABEL [email protected]

2018-02-23 16:12:15 UTC

/bin/sh -c #(nop) ARG version=3.4.1+180221

2018-02-23 16:12:46 UTC

|1 version=3.4.1+180221 /bin/sh -c apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install --no-install-recommends -y libldap2-dev zlib1g-dev libc-client-dev libkrb5-dev libpng-dev libpq-dev && apt-get autoclean; apt-get autoremove && rm -rf /var/lib/apt/lists/*

2018-02-23 16:12:48 UTC

|1 version=3.4.1+180221 /bin/sh -c ln -fs /usr/lib/x86_64-linux-gnu/libldap.so /usr/lib/

2018-02-23 16:13:39 UTC

|1 version=3.4.1+180221 /bin/sh -c docker-php-ext-configure imap --with-kerberos --with-imap-ssl

2018-02-23 16:20:05 UTC

|1 version=3.4.1+180221 /bin/sh -c docker-php-ext-install -j5 gd imap ldap mbstring pdo pdo_mysql pdo_pgsql pgsql zip

2018-02-23 16:20:15 UTC

/bin/sh -c #(nop) ADD 267a901bbb9507bb5ed933ba92c7bd145cbc310816a6eab8fbd28a16e3e3b972 in /tmp

2018-02-23 16:20:42 UTC

|1 version=3.4.1+180221 /bin/sh -c tar xzvf "/tmp/${version}.tar.gz" --strip-components=1 -C /var/www/html/ && rm "/tmp/${version}.tar.gz" && chown -R www-data:www-data /var/www/html

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete